noinst_LTLIBRARIES = libpsmodulesdetrend.la

libpsmodulesdetrend_la_CPPFLAGS = $(SRCINC) $(PSMODULES_CFLAGS)
libpsmodulesdetrend_la_LDFLAGS  = -release $(PACKAGE_VERSION)
libpsmodulesdetrend_la_SOURCES  = \
	pmFlatField.c \
	pmFlatNormalize.c \
	pmFringeStats.c \
	pmMaskBadPixels.c \
	pmNonLinear.c \
	pmBias.c \
	pmOverscan.c \
	pmDetrendDB.c \
	pmShutterCorrection.c \
	pmShifts.c

#	pmSkySubtract.c

pkginclude_HEADERS = \
	pmFlatField.h \
	pmFlatNormalize.h \
	pmFringeStats.h \
	pmMaskBadPixels.h \
	pmNonLinear.h \
	pmBias.h \
	pmOverscan.h \
	pmDetrendDB.h \
	pmShutterCorrection.h \
	pmShifts.h

#	pmSkySubtract.h

CLEANFILES = *~
